diff --git a/net-im/kaidan/Makefile b/net-im/kaidan/Makefile
index be965552b8c1..8712e99982a6 100644
--- a/net-im/kaidan/Makefile
+++ b/net-im/kaidan/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	kaidan
 DISTVERSION=	0.10.1
+PORTREVISION=	1
 CATEGORIES=	net-im kde
 MASTER_SITES=	KDE/unstable/${PORTNAME}/${DISTVERSION}
 
@@ -10,11 +11,10 @@ WWW=		https://apps.kde.org/kaidan/
 LICENSE=	GPLv3+
 LICENSE_FILE=	${WRKSRC}/LICENSES/GPL-3.0-or-later.txt
 
-BUILD_DEPENDS=	kquickimageeditor>0:graphics/kquickimageeditor
+BUILD_DEPENDS=	kquickimageeditor-qt5>0:graphics/kquickimageeditor@qt5
 LIB_DEPENDS=	libQXmppQt5.so:net-im/qxmpp@qt5 \
-		libZXing.so:textproc/zxing-cpp \
-		libicuuc.so:devel/icu
-RUN_DEPENDS=	kquickimageeditor>0:graphics/kquickimageeditor
+		libZXing.so:textproc/zxing-cpp
+RUN_DEPENDS=	kquickimageeditor-qt5>0:graphics/kquickimageeditor@qt5
 
 USES=		cmake compiler:c++11-lang desktop-file-utils kde:5 pkgconfig \
 		qt:5 tar:xz xorg
diff --git a/net-im/kopete/Makefile b/net-im/kopete/Makefile
index 97d2a3f8b7ea..fe3cf6b0b9c6 100644
--- a/net-im/kopete/Makefile
+++ b/net-im/kopete/Makefile
@@ -7,6 +7,7 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE multi-protocol instant messenger
 WWW=		https://apps.kde.org/kopete/
 
+IGNORE=		does not build with KF6
 DEPRECATED=	Unmaintained and no longer released by the KDE community
 EXPIRATION_DATE=	2025-03-31
 
diff --git a/net-im/libquotient/Makefile b/net-im/libquotient/Makefile
index 2364c62cdaa7..81dbba8ea422 100644
--- a/net-im/libquotient/Makefile
+++ b/net-im/libquotient/Makefile
@@ -1,7 +1,6 @@
 PORTNAME=	libquotient
-DISTVERSION=	0.8.1.2
+DISTVERSION=	0.9.1
 CATEGORIES=	net-im
-PKGNAMESUFFIX=	-${FLAVOR}
 
 MAINTAINER=	adridg@FreeBSD.org
 COMMENT=	Matrix IM support library using Qt technologies
@@ -10,47 +9,16 @@ WWW=		https://github.com/quotient-im/libQuotient
 LICENSE=	LGPL21
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	lib${FLAVOR}keychain.so:security/qtkeychain@${FLAVOR} \
+LIB_DEPENDS=	libqt6keychain.so:security/qtkeychain@qt6 \
 		libolm.so:security/olm
 
-FLAVORS=	qt5 qt6
-FLAVOR?=	qt5
-
-USES=		cmake compiler:c++20-lang qt:${FLAVOR:S/qt//} tar:xz
+USES=		cmake compiler:c++20-lang qt:6 tar:xz
 USE_GITHUB=	yes
 GH_ACCOUNT=	quotient-im
 GH_PROJECT=	libQuotient
-USE_QT=		${_USE_QT_${FLAVOR}}
-CMAKE_ARGS=	${_CMAKE_ARGS_${FLAVOR}} \
-		-DCMAKE_INSTALL_INCLUDEDIR:PATH=${_INCDIR_REL_${FLAVOR}}
-CMAKE_ON=	Quotient_ENABLE_E2EE
+USE_QT=		base
 CMAKE_OFF=	Quotient_INSTALL_TESTS
 
 CONFLICTS=	libqmatrixclient\*
 
-PLIST_SUB=	QUOTIENT_SUFFIX=${_QT_VER_SUFFIX_${FLAVOR}} \
-		QUOTIENT_INCDIR=${_INCDIR_REL_${FLAVOR}} \
-		QUOTIENT_QT5_ONLY=${_QT5_ONLY_${FLAVOR}}
-
-# Flavorization
-_USE_QT_qt5=		concurrent core gui multimedia network \
-			buildtools:build qmake:build testlib:build
-_USE_QT_qt6=		base
-_CMAKE_ARGS_qt5=	-DBUILD_WITH_QT6:BOOL=FALSE
-_CMAKE_ARGS_qt6=	-DBUILD_WITH_QT6:BOOL=TRUE
-_INCDIR_REL_qt5=	include/QuotientQt5
-_INCDIR_REL_qt6=	include/QuotientQt6
-_QT_VER_SUFFIX_qt5=	#
-_QT_VER_SUFFIX_qt6=	Qt6
-_QT5_ONLY_qt5=		#
-_QT5_ONLY_qt6=		"@comment "
-
-
-.include <bsd.port.options.mk>
-
-# Work around compiler bug, see pr: 272285
-.if ${OPSYS} == FreeBSD
-USES+=		llvm
-.endif
-
 .include <bsd.port.mk>
diff --git a/net-im/libquotient/distinfo b/net-im/libquotient/distinfo
index d7bf3e135dd3..682d93acc841 100644
--- a/net-im/libquotient/distinfo
+++ b/net-im/libquotient/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707164175
-SHA256 (quotient-im-libQuotient-0.8.1.2_GH0.tar.gz) = 5e5539fe9616c9f63985b0aabfab1858f1626e3d71a14709eeedd85af0471c7c
-SIZE (quotient-im-libQuotient-0.8.1.2_GH0.tar.gz) = 730435
+TIMESTAMP = 1735123345
+SHA256 (quotient-im-libQuotient-0.9.1_GH0.tar.gz) = 0a1fd19c9f6e4d93c60fbec5ab4ca84961781e6d00105a4437ecd14aaea36bc9
+SIZE (quotient-im-libQuotient-0.9.1_GH0.tar.gz) = 772882
diff --git a/net-im/libquotient/pkg-plist b/net-im/libquotient/pkg-plist
index aa5fb8c84bc5..63508735dfe8 100644
--- a/net-im/libquotient/pkg-plist
+++ b/net-im/libquotient/pkg-plist
@@ -1,164 +1,170 @@
-%%QUOTIENT_INCDIR%%/Quotient/accountregistry.h
-%%QUOTIENT_INCDIR%%/Quotient/application-service/definitions/location.h
-%%QUOTIENT_INCDIR%%/Quotient/application-service/definitions/protocol.h
-%%QUOTIENT_INCDIR%%/Quotient/application-service/definitions/user.h
-%%QUOTIENT_INCDIR%%/Quotient/avatar.h
-%%QUOTIENT_INCDIR%%/Quotient/connection_p.h
-%%QUOTIENT_INCDIR%%/Quotient/connection.h
-%%QUOTIENT_INCDIR%%/Quotient/connectiondata.h
-%%QUOTIENT_INCDIR%%/Quotient/connectionencryptiondata_p.h
-%%QUOTIENT_INCDIR%%/Quotient/converters.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/account-data.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/admin.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/administrative_contact.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/appservice_room_directory.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/banning.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/capabilities.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/content-repo.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/create_room.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/cross_signing.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/auth_data.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/client_device.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/cross_signing_key.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/device_keys.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/event_filter.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/key_backup_data.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/openid_token.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/public_rooms_response.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/push_condition.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/push_rule.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/push_ruleset.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/request_email_validation.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/request_msisdn_validation.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/request_token_response.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/room_event_filter.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/room_key_backup.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/sync_filter.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/third_party_signed.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/user_identifier.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/wellknown/full.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/wellknown/homeserver.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/definitions/wellknown/identity_server.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/device_management.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/directory.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/event_context.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/filter.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/inviting.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/joining.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/key_backup.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/keys.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/kicking.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/knocking.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/leaving.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/list_joined_rooms.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/list_public_rooms.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/login_token.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/login.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/logout.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/message_pagination.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/notifications.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/openid.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/peeking_events.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/presence.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/profile.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/pusher.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/pushrules.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/read_markers.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/receipts.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/redaction.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/refresh.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/registration.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/registration_tokens.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/relations.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/report_content.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/room_event_by_timestamp.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/room_send.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/room_state.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/room_upgrades.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/rooms.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/search.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/space_hierarchy.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/sso_login_redirect.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/tags.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/third_party_lookup.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/third_party_membership.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/threads_list.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/to_device.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/typing.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/users.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/versions.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/voip.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/wellknown.h
-%%QUOTIENT_INCDIR%%/Quotient/csapi/whoami.h
-%%QUOTIENT_INCDIR%%/Quotient/database.h
-%%QUOTIENT_INCDIR%%/Quotient/e2ee/e2ee_common.h
-%%QUOTIENT_INCDIR%%/Quotient/e2ee/qolmaccount.h
-%%QUOTIENT_INCDIR%%/Quotient/e2ee/qolminboundsession.h
-%%QUOTIENT_INCDIR%%/Quotient/e2ee/qolmmessage.h
-%%QUOTIENT_INCDIR%%/Quotient/e2ee/qolmoutboundsession.h
-%%QUOTIENT_INCDIR%%/Quotient/e2ee/qolmsession.h
-%%QUOTIENT_INCDIR%%/Quotient/e2ee/qolmutility.h
-%%QUOTIENT_INCDIR%%/Quotient/eventitem.h
-%%QUOTIENT_INCDIR%%/Quotient/events/accountdataevents.h
-%%QUOTIENT_INCDIR%%/Quotient/events/callevents.h
-%%QUOTIENT_INCDIR%%/Quotient/events/directchatevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/encryptedevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/encryptionevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/event.h
-%%QUOTIENT_INCDIR%%/Quotient/events/eventcontent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/eventloader.h
-%%QUOTIENT_INCDIR%%/Quotient/events/eventrelation.h
-%%QUOTIENT_INCDIR%%/Quotient/events/filesourceinfo.h
-%%QUOTIENT_INCDIR%%/Quotient/events/keyverificationevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/reactionevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/receiptevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/redactionevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/roomavatarevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/roomcanonicalaliasevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/roomcreateevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/roomevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/roomkeyevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/roommemberevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/roommessageevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/roompowerlevelsevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/roomtombstoneevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/simplestateevents.h
-%%QUOTIENT_INCDIR%%/Quotient/events/single_key_value.h
-%%QUOTIENT_INCDIR%%/Quotient/events/stateevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/stickerevent.h
-%%QUOTIENT_INCDIR%%/Quotient/events/typingevent.h
-%%QUOTIENT_INCDIR%%/Quotient/eventstats.h
-%%QUOTIENT_INCDIR%%/Quotient/expected.h
-%%QUOTIENT_INCDIR%%/Quotient/function_traits.h
-%%QUOTIENT_INCDIR%%/Quotient/identity/definitions/request_email_validation.h
-%%QUOTIENT_INCDIR%%/Quotient/identity/definitions/request_msisdn_validation.h
-%%QUOTIENT_INCDIR%%/Quotient/jobs/basejob.h
-%%QUOTIENT_INCDIR%%/Quotient/jobs/downloadfilejob.h
-%%QUOTIENT_INCDIR%%/Quotient/jobs/mediathumbnailjob.h
-%%QUOTIENT_INCDIR%%/Quotient/jobs/requestdata.h
-%%QUOTIENT_INCDIR%%/Quotient/jobs/syncjob.h
-%%QUOTIENT_INCDIR%%/Quotient/keyverificationsession.h
-%%QUOTIENT_INCDIR%%/Quotient/logging_categories_p.h
-%%QUOTIENT_INCDIR%%/Quotient/mxcreply.h
-%%QUOTIENT_INCDIR%%/Quotient/networkaccessmanager.h
-%%QUOTIENT_INCDIR%%/Quotient/networksettings.h
-%%QUOTIENT_INCDIR%%/Quotient/omittable.h
-%%QUOTIENT_INCDIR%%/Quotient/qt_connection_util.h
-%%QUOTIENT_INCDIR%%/Quotient/quotient_common.h
-%%QUOTIENT_INCDIR%%/Quotient/quotient_export.h
-%%QUOTIENT_INCDIR%%/Quotient/room.h
-%%QUOTIENT_INCDIR%%/Quotient/roomstateview.h
-%%QUOTIENT_INCDIR%%/Quotient/settings.h
-%%QUOTIENT_INCDIR%%/Quotient/ssosession.h
-%%QUOTIENT_INCDIR%%/Quotient/syncdata.h
-%%QUOTIENT_INCDIR%%/Quotient/uri.h
-%%QUOTIENT_INCDIR%%/Quotient/uriresolver.h
-%%QUOTIENT_INCDIR%%/Quotient/user.h
-%%QUOTIENT_INCDIR%%/Quotient/util.h
-lib/cmake/Quotient%%QUOTIENT_SUFFIX%%/Quotient%%QUOTIENT_SUFFIX%%Config.cmake
-lib/cmake/Quotient%%QUOTIENT_SUFFIX%%/Quotient%%QUOTIENT_SUFFIX%%ConfigVersion.cmake
-lib/cmake/Quotient%%QUOTIENT_SUFFIX%%/Quotient%%QUOTIENT_SUFFIX%%Targets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/Quotient%%QUOTIENT_SUFFIX%%/Quotient%%QUOTIENT_SUFFIX%%Targets.cmake
-lib/libQuotient%%QUOTIENT_SUFFIX%%.a
-libdata/pkgconfig/Quotient%%QUOTIENT_SUFFIX%%.pc
-%%QUOTIENT_QT5_ONLY%%share/ndk-modules/Android.mk
+include/Quotient/accountregistry.h
+include/Quotient/application-service/definitions/location.h
+include/Quotient/application-service/definitions/protocol.h
+include/Quotient/application-service/definitions/user.h
+include/Quotient/avatar.h
+include/Quotient/connection.h
+include/Quotient/connection_p.h
+include/Quotient/connectiondata.h
+include/Quotient/connectionencryptiondata_p.h
+include/Quotient/converters.h
+include/Quotient/csapi/account-data.h
+include/Quotient/csapi/admin.h
+include/Quotient/csapi/administrative_contact.h
+include/Quotient/csapi/appservice_room_directory.h
+include/Quotient/csapi/authed-content-repo.h
+include/Quotient/csapi/banning.h
+include/Quotient/csapi/capabilities.h
+include/Quotient/csapi/content-repo.h
+include/Quotient/csapi/create_room.h
+include/Quotient/csapi/cross_signing.h
+include/Quotient/csapi/definitions/auth_data.h
+include/Quotient/csapi/definitions/client_device.h
+include/Quotient/csapi/definitions/cross_signing_key.h
+include/Quotient/csapi/definitions/device_keys.h
+include/Quotient/csapi/definitions/event_filter.h
+include/Quotient/csapi/definitions/key_backup_data.h
+include/Quotient/csapi/definitions/openid_token.h
+include/Quotient/csapi/definitions/public_rooms_response.h
+include/Quotient/csapi/definitions/push_condition.h
+include/Quotient/csapi/definitions/push_rule.h
+include/Quotient/csapi/definitions/push_ruleset.h
+include/Quotient/csapi/definitions/request_email_validation.h
+include/Quotient/csapi/definitions/request_msisdn_validation.h
+include/Quotient/csapi/definitions/request_token_response.h
+include/Quotient/csapi/definitions/room_event_filter.h
+include/Quotient/csapi/definitions/room_key_backup.h
+include/Quotient/csapi/definitions/sync_filter.h
+include/Quotient/csapi/definitions/tag.h
+include/Quotient/csapi/definitions/third_party_signed.h
+include/Quotient/csapi/definitions/user_identifier.h
+include/Quotient/csapi/definitions/wellknown/full.h
+include/Quotient/csapi/definitions/wellknown/homeserver.h
+include/Quotient/csapi/definitions/wellknown/identity_server.h
+include/Quotient/csapi/device_management.h
+include/Quotient/csapi/directory.h
+include/Quotient/csapi/event_context.h
+include/Quotient/csapi/filter.h
+include/Quotient/csapi/inviting.h
+include/Quotient/csapi/joining.h
+include/Quotient/csapi/key_backup.h
+include/Quotient/csapi/keys.h
+include/Quotient/csapi/kicking.h
+include/Quotient/csapi/knocking.h
+include/Quotient/csapi/leaving.h
+include/Quotient/csapi/list_joined_rooms.h
+include/Quotient/csapi/list_public_rooms.h
+include/Quotient/csapi/login.h
+include/Quotient/csapi/login_token.h
+include/Quotient/csapi/logout.h
+include/Quotient/csapi/message_pagination.h
+include/Quotient/csapi/notifications.h
+include/Quotient/csapi/openid.h
+include/Quotient/csapi/peeking_events.h
+include/Quotient/csapi/presence.h
+include/Quotient/csapi/profile.h
+include/Quotient/csapi/pusher.h
+include/Quotient/csapi/pushrules.h
+include/Quotient/csapi/read_markers.h
+include/Quotient/csapi/receipts.h
+include/Quotient/csapi/redaction.h
+include/Quotient/csapi/refresh.h
+include/Quotient/csapi/registration.h
+include/Quotient/csapi/registration_tokens.h
+include/Quotient/csapi/relations.h
+include/Quotient/csapi/report_content.h
+include/Quotient/csapi/room_event_by_timestamp.h
+include/Quotient/csapi/room_send.h
+include/Quotient/csapi/room_state.h
+include/Quotient/csapi/room_upgrades.h
+include/Quotient/csapi/rooms.h
+include/Quotient/csapi/search.h
+include/Quotient/csapi/space_hierarchy.h
+include/Quotient/csapi/sso_login_redirect.h
+include/Quotient/csapi/support.h
+include/Quotient/csapi/tags.h
+include/Quotient/csapi/third_party_lookup.h
+include/Quotient/csapi/third_party_membership.h
+include/Quotient/csapi/threads_list.h
+include/Quotient/csapi/to_device.h
+include/Quotient/csapi/typing.h
+include/Quotient/csapi/users.h
+include/Quotient/csapi/versions.h
+include/Quotient/csapi/voip.h
+include/Quotient/csapi/wellknown.h
+include/Quotient/csapi/whoami.h
+include/Quotient/database.h
+include/Quotient/e2ee/cryptoutils.h
+include/Quotient/e2ee/e2ee_common.h
+include/Quotient/e2ee/qolmaccount.h
+include/Quotient/e2ee/qolminboundsession.h
+include/Quotient/e2ee/qolmmessage.h
+include/Quotient/e2ee/qolmoutboundsession.h
+include/Quotient/e2ee/qolmsession.h
+include/Quotient/e2ee/qolmutility.h
+include/Quotient/e2ee/sssshandler.h
+include/Quotient/eventitem.h
+include/Quotient/events/accountdataevents.h
+include/Quotient/events/callevents.h
+include/Quotient/events/directchatevent.h
+include/Quotient/events/encryptedevent.h
+include/Quotient/events/encryptionevent.h
+include/Quotient/events/event.h
+include/Quotient/events/eventcontent.h
+include/Quotient/events/eventrelation.h
+include/Quotient/events/filesourceinfo.h
+include/Quotient/events/keyverificationevent.h
+include/Quotient/events/reactionevent.h
+include/Quotient/events/receiptevent.h
+include/Quotient/events/redactionevent.h
+include/Quotient/events/roomavatarevent.h
+include/Quotient/events/roomcanonicalaliasevent.h
+include/Quotient/events/roomcreateevent.h
+include/Quotient/events/roomevent.h
+include/Quotient/events/roomkeyevent.h
+include/Quotient/events/roommemberevent.h
+include/Quotient/events/roommessageevent.h
+include/Quotient/events/roompowerlevelsevent.h
+include/Quotient/events/roomtombstoneevent.h
+include/Quotient/events/simplestateevents.h
+include/Quotient/events/single_key_value.h
+include/Quotient/events/stateevent.h
+include/Quotient/events/stickerevent.h
+include/Quotient/events/typingevent.h
+include/Quotient/eventstats.h
+include/Quotient/expected.h
+include/Quotient/function_traits.h
+include/Quotient/jobs/basejob.h
+include/Quotient/jobs/downloadfilejob.h
+include/Quotient/jobs/jobhandle.h
+include/Quotient/jobs/mediathumbnailjob.h
+include/Quotient/jobs/requestdata.h
+include/Quotient/jobs/syncjob.h
+include/Quotient/keyimport.h
+include/Quotient/keyverificationsession.h
+include/Quotient/logging_categories_p.h
+include/Quotient/mxcreply.h
+include/Quotient/networkaccessmanager.h
+include/Quotient/networksettings.h
+include/Quotient/omittable.h
+include/Quotient/qt_connection_util.h
+include/Quotient/quotient_common.h
+include/Quotient/quotient_export.h
+include/Quotient/ranges_extras.h
+include/Quotient/room.h
+include/Quotient/roommember.h
+include/Quotient/roomstateview.h
+include/Quotient/settings.h
+include/Quotient/ssosession.h
+include/Quotient/syncdata.h
+include/Quotient/uri.h
+include/Quotient/uriresolver.h
+include/Quotient/user.h
+include/Quotient/util.h
+lib/cmake/QuotientQt6/QuotientQt6Config.cmake
+lib/cmake/QuotientQt6/QuotientQt6ConfigVersion.cmake
+lib/cmake/QuotientQt6/QuotientQt6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/QuotientQt6/QuotientQt6Targets.cmake
+lib/libQuotientQt6.a
+libdata/pkgconfig/QuotientQt6.pc
+share/ndk-modules/Android.mk
diff --git a/net-im/neochat/Makefile b/net-im/neochat/Makefile
index 4660163b2c11..4a7107aec334 100644
--- a/net-im/neochat/Makefile
+++ b/net-im/neochat/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	neochat
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	4
 CATEGORIES=	net-im deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -10,27 +9,25 @@ WWW=		https://invent.kde.org/network/neochat
 LICENSE=	GPLv3
 LICENSE_FILE=	${WRKSRC}/LICENSES/GPL-3.0-only.txt
 
-LIB_DEPENDS=	libQCoro5Core.so:devel/qcoro@qt5 \
+LIB_DEPENDS=	libQCoro6Core.so:devel/qcoro@qt6 \
 		libcmark.so:textproc/cmark \
-		libqt5keychain.so:security/qtkeychain@qt5 \
+		libqt6keychain.so:security/qtkeychain@qt6 \
+		libdbus-1.so:devel/dbus \
 		libolm.so:security/olm
-BUILD_DEPENDS=	libquotient-qt5>=0.8.1.2:net-im/libquotient@qt5 \
-		kquickimageeditor>=0.2.0:graphics/kquickimageeditor \
-		kirigami-addons-qt5>=0.6.1:x11-toolkits/kirigami-addons-qt5
+BUILD_DEPENDS=	libquotient>=0.9.0:net-im/libquotient \
+		kquickimageeditor-qt6>=0.2.0:graphics/kquickimageeditor@qt6
 # Quotient is a static lib, doesn't need to be in RUN_DEPENDS
-RUN_DEPENDS=	kquickimageeditor>=0.2.0:graphics/kquickimageeditor \
-		kirigami-addons-qt5>=0.6.1:x11-toolkits/kirigami-addons-qt5
+RUN_DEPENDS=	kquickimageeditor-qt6>=0.2.0:graphics/kquickimageeditor@qt6
 
-USES=		cmake compiler:c++20-lang desktop-file-utils kde:5 \
-		pkgconfig qt:5 tar:xz xorg
-USE_QT=		concurrent core dbus declarative graphicaleffects gui \
-		imageformats location multimedia network quickcontrols \
-		quickcontrols2 sql widgets xml \
-		buildtools:build linguist:build qmake:build
+USES=		cmake compiler:c++20-lang desktop-file-utils gettext kde:6 \
+		pkgconfig qt:6 tar:xz xorg
+USE_QT=		base multimedia webview \
+		positioning:run
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		dbusaddons i18n itemmodels jobwidgets kio kirigami2 \
-		kquickcharts notifications qqc2-desktop-style service \
-		solid sonnet widgetsaddons windowsystem \
+		dbusaddons i18n itemmodels jobwidgets kio kirigami-addons \
+		kirigami2 kquickcharts notifications purpose qqc2-desktop-style \
+		service solid sonnet statusnotifieritem syntaxhighlighting \
+		widgetsaddons windowsystem \
 		ecm:build
 USE_XORG=	x11
 
@@ -38,9 +35,6 @@ USE_XORG=	x11
 
 .if ${ARCH:Mpowerpc*}
 USES+=		llvm:min=16
-.elif ${OPSYS} == FreeBSD
-# Work around compiler bug, see pr: 272285
-USES+=		llvm
 .endif
 
 .include <bsd.port.mk>
diff --git a/net-im/neochat/distinfo b/net-im/neochat/distinfo
index 54a193e8aa98..26241ed7b76e 100644
--- a/net-im/neochat/distinfo
+++ b/net-im/neochat/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889328
-SHA256 (KDE/release-service/23.08.5/neochat-23.08.5.tar.xz) = d300c6d8eb1dcc96b853c61a43e058ae923b939e3991755ddce1d9f210904632
-SIZE (KDE/release-service/23.08.5/neochat-23.08.5.tar.xz) = 795564
+TIMESTAMP = 1734460281
+SHA256 (KDE/release-service/24.12.0/neochat-24.12.0.tar.xz) = c88f8292575b7298cad7f426dec26aef33cd3da6dd1be65484436507b461eeb6
+SIZE (KDE/release-service/24.12.0/neochat-24.12.0.tar.xz) = 1063468
diff --git a/net-im/neochat/files/patch-src_chatbarcache.cpp b/net-im/neochat/files/patch-src_chatbarcache.cpp
new file mode 100644
index 000000000000..e6ff72013abb
--- /dev/null
+++ b/net-im/neochat/files/patch-src_chatbarcache.cpp
@@ -0,0 +1,18 @@
+From 9cd4a7416e0485917334c9448ce09c1800dca2ed Mon Sep 17 00:00:00 2001
+From: Tobias Fella <fella@posteo.de>
+Date: Tue, 10 Dec 2024 21:05:01 +0100
+Subject: [PATCH] Fix crash when sending messages
+
+ECM recently started adding -fhardened, which makes us crash here since we're doing things that aren't valid, but happened to work out fine previously.
+--- src/chatbarcache.cpp.orig	2024-12-04 20:04:56 UTC
++++ src/chatbarcache.cpp
+@@ -319,7 +319,8 @@ void ChatBarCache::postMessage()
+         return;
+     }
+ 
+-    room->postMessage(text(), sendText, *std::get<std::optional<Quotient::RoomMessageEvent::MsgType>>(result), replyId(), editId(), threadId());
++    const auto type = std::get<std::optional<Quotient::RoomMessageEvent::MsgType>>(result);
++    room->postMessage(text(), sendText, type ? *type : Quotient::RoomMessageEvent::MsgType::Text, replyId(), editId(), threadId());
+     clearCache();
+ }
+ 
diff --git a/net-im/neochat/pkg-plist b/net-im/neochat/pkg-plist
index 5761e8a73d4c..d44263c4da01 100644
--- a/net-im/neochat/pkg-plist
+++ b/net-im/neochat/pkg-plist
@@ -1,10 +1,12 @@
 bin/neochat
+%%QT_PLUGINDIR%%/kf6/purpose/neochatshareplugin.so
 share/applications/org.kde.neochat.desktop
 share/icons/hicolor/scalable/apps/org.kde.neochat.svg
 share/icons/hicolor/scalable/apps/org.kde.neochat.tray.svg
-share/knotifications5/neochat.notifyrc
+share/knotifications6/neochat.notifyrc
 share/krunner/dbusplugins/plasma-runner-neochat.desktop
 share/locale/ar/LC_MESSAGES/neochat.mo
+share/locale/ast/LC_MESSAGES/neochat.mo
 share/locale/az/LC_MESSAGES/neochat.mo
 share/locale/ca/LC_MESSAGES/neochat.mo
 share/locale/ca@valencia/LC_MESSAGES/neochat.mo
@@ -13,10 +15,12 @@ share/locale/da/LC_MESSAGES/neochat.mo
 share/locale/de/LC_MESSAGES/neochat.mo
 share/locale/el/LC_MESSAGES/neochat.mo
 share/locale/en_GB/LC_MESSAGES/neochat.mo
+share/locale/eo/LC_MESSAGES/neochat.mo
 share/locale/es/LC_MESSAGES/neochat.mo
 share/locale/eu/LC_MESSAGES/neochat.mo
 share/locale/fi/LC_MESSAGES/neochat.mo
 share/locale/fr/LC_MESSAGES/neochat.mo
+share/locale/gl/LC_MESSAGES/neochat.mo
 share/locale/hu/LC_MESSAGES/neochat.mo
 share/locale/ia/LC_MESSAGES/neochat.mo
 share/locale/id/LC_MESSAGES/neochat.mo
@@ -26,6 +30,7 @@ share/locale/ja/LC_MESSAGES/neochat.mo
 share/locale/ka/LC_MESSAGES/neochat.mo
 share/locale/ko/LC_MESSAGES/neochat.mo
 share/locale/lt/LC_MESSAGES/neochat.mo
+share/locale/lv/LC_MESSAGES/neochat.mo
 share/locale/nl/LC_MESSAGES/neochat.mo
 share/locale/nn/LC_MESSAGES/neochat.mo
 share/locale/pa/LC_MESSAGES/neochat.mo
@@ -47,8 +52,9 @@ share/man/es/man1/neochat.1.gz
 share/man/it/man1/neochat.1.gz
 share/man/man1/neochat.1.gz
 share/man/nl/man1/neochat.1.gz
+share/man/sl/man1/neochat.1.gz
 share/man/sv/man1/neochat.1.gz
 share/man/tr/man1/neochat.1.gz
 share/man/uk/man1/neochat.1.gz
 share/metainfo/org.kde.neochat.appdata.xml
-share/qlogging-categories5/neochat.categories
+share/qlogging-categories6/neochat.categories
diff --git a/net-im/quaternion/Makefile b/net-im/quaternion/Makefile
index 8cf2c766c75b..68b1ee823f60 100644
--- a/net-im/quaternion/Makefile
+++ b/net-im/quaternion/Makefile
@@ -9,10 +9,12 @@ WWW=		https://github.com/quotient-im/Quaternion/
 LICENSE=	GPLv3+
 LICENSE_FILE=	${WRKSRC}/LICENSES/GPL-3.0-or-later.txt
 
+BROKEN=		Does not build againt new libquotient
+
 LIB_DEPENDS=	libqt5keychain.so:security/qtkeychain@qt5 \
 		libsecret-1.so:security/libsecret \
 		libolm.so:security/olm
-BUILD_DEPENDS=	libquotient-qt5>=0.8.1.2:net-im/libquotient@qt5
+BUILD_DEPENDS=	libquotient>=0.8.1.2:net-im/libquotient
 # Quotient is a static lib, doesn't need to be in RUN_DEPENDS
 
 USES=		cmake compiler:c++17-lang desktop-file-utils \
diff --git a/net-im/tokodon/Makefile b/net-im/tokodon/Makefile
index 0ce598e277cf..f78c93d7c0e9 100644
--- a/net-im/tokodon/Makefile
+++ b/net-im/tokodon/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	tokodon
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	net-im kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,21 +8,19 @@ WWW=		https://apps.kde.org/tokodon/
 
 LICENSE=	GPLv3
 
-BUILD_DEPENDS=	kirigami-addons-qt5>=0.6.1:x11-toolkits/kirigami-addons-qt5
-LIB_DEPENDS=	libqt5keychain.so:security/qtkeychain@qt5 \
-		libmpv.so:multimedia/mpv
-RUN_DEPENDS=	kirigami-addons-qt5>=0.6.1:x11-toolkits/kirigami-addons-qt5
+LIB_DEPENDS=	libqt6keychain.so:security/qtkeychain@qt6 \
+		libmpv.so:multimedia/mpv \
+		libMpvQt.so:multimedia/mpvqt
 
-USES=		cmake desktop-file-utils gettext kde:5 pkgconfig qt:5 tar:xz xorg
+USES=		cmake desktop-file-utils gettext kde:6 pkgconfig qt:6 tar:xz \
+		xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		dbusaddons i18n jobwidgets kio kirigami2 notifications \
-		purpose qqc2-desktop-style service solid widgetsaddons \
-		windowsystem \
+		dbusaddons i18n itemmodels jobwidgets kio kirigami-addons \
+		kirigami2 notifications purpose qqc2-desktop-style service \
+		solid sonnet widgetsaddons windowsystem \
 		ecm:build \
 		itemmodels:run
-USE_QT=		concurrent core dbus declarative gui multimedia network \
-		quickcontrols2 websockets widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base websockets webview
 USE_XORG=	ice sm x11 xext
 
 .include <bsd.port.mk>
diff --git a/net-im/tokodon/distinfo b/net-im/tokodon/distinfo
index bc37aad5a54d..915133acf08b 100644
--- a/net-im/tokodon/distinfo
+++ b/net-im/tokodon/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889329
-SHA256 (KDE/release-service/23.08.5/tokodon-23.08.5.tar.xz) = 4b887aa586712a771aa4a72dc4421b7e82839ecd406bcb47bc66db5fa6e81265
-SIZE (KDE/release-service/23.08.5/tokodon-23.08.5.tar.xz) = 335920
+TIMESTAMP = 1734460282
+SHA256 (KDE/release-service/24.12.0/tokodon-24.12.0.tar.xz) = debc060f1c8573d5b937ada1ca043290bb37f58f420ef4a9c8327683e21fa537
+SIZE (KDE/release-service/24.12.0/tokodon-24.12.0.tar.xz) = 654968
diff --git a/net-im/tokodon/pkg-plist b/net-im/tokodon/pkg-plist
index 889b58fddf84..0be0c1b9e368 100644
--- a/net-im/tokodon/pkg-plist
+++ b/net-im/tokodon/pkg-plist
@@ -1,17 +1,30 @@
 bin/tokodon
+%%QT_PLUGINDIR%%/kf6/purpose/tokodonplugin.so
 share/applications/org.kde.tokodon.desktop
+share/icons/hicolor/scalable/actions/tokodon-chat-reply.svg
+share/icons/hicolor/scalable/actions/tokodon-post-bookmarked.svg
+share/icons/hicolor/scalable/actions/tokodon-post-boost.svg
+share/icons/hicolor/scalable/actions/tokodon-post-boosted.svg
+share/icons/hicolor/scalable/actions/tokodon-post-favorite.svg
+share/icons/hicolor/scalable/actions/tokodon-post-favorited.svg
+share/icons/hicolor/scalable/actions/tokodon-post-reply-filled.svg
+share/icons/hicolor/scalable/actions/tokodon-post-reply.svg
 share/icons/hicolor/scalable/apps/org.kde.tokodon.svg
-share/knotifications5/tokodon.notifyrc
+share/knotifications6/tokodon.notifyrc
+share/locale/ar/LC_MESSAGES/tokodon.mo
+share/locale/ast/LC_MESSAGES/tokodon.mo
 share/locale/ca/LC_MESSAGES/tokodon.mo
 share/locale/ca@valencia/LC_MESSAGES/tokodon.mo
 share/locale/cs/LC_MESSAGES/tokodon.mo
 share/locale/de/LC_MESSAGES/tokodon.mo
 share/locale/en_GB/LC_MESSAGES/tokodon.mo
+share/locale/eo/LC_MESSAGES/tokodon.mo
 share/locale/es/LC_MESSAGES/tokodon.mo
 share/locale/eu/LC_MESSAGES/tokodon.mo
 share/locale/fi/LC_MESSAGES/tokodon.mo
 share/locale/fr/LC_MESSAGES/tokodon.mo
 share/locale/gl/LC_MESSAGES/tokodon.mo
+share/locale/he/LC_MESSAGES/tokodon.mo
 share/locale/hu/LC_MESSAGES/tokodon.mo
 share/locale/ia/LC_MESSAGES/tokodon.mo
 share/locale/id/LC_MESSAGES/tokodon.mo
@@ -21,7 +34,9 @@ share/locale/ja/LC_MESSAGES/tokodon.mo
 share/locale/ka/LC_MESSAGES/tokodon.mo
 share/locale/ko/LC_MESSAGES/tokodon.mo
 share/locale/lt/LC_MESSAGES/tokodon.mo
+share/locale/lv/LC_MESSAGES/tokodon.mo
 share/locale/nl/LC_MESSAGES/tokodon.mo
+share/locale/nn/LC_MESSAGES/tokodon.mo
 share/locale/pa/LC_MESSAGES/tokodon.mo
 share/locale/pl/LC_MESSAGES/tokodon.mo
 share/locale/pt/LC_MESSAGES/tokodon.mo
@@ -35,4 +50,4 @@ share/locale/uk/LC_MESSAGES/tokodon.mo
 share/locale/zh_CN/LC_MESSAGES/tokodon.mo
 share/locale/zh_TW/LC_MESSAGES/tokodon.mo
 share/metainfo/org.kde.tokodon.appdata.xml
-share/qlogging-categories5/tokodon.categories
+share/qlogging-categories6/tokodon.categories
